When I start the program I receive a message that my QuickBooks version is not compatible with the program.

Our programs are optimized for use with specific QuickBooks version. If you receive such a compatibility note - usually after you canged / upgraded QuickBooks - then you must also upgrade our program. To do this, please visit our pruchase page , select your product and enter your current registration key. Then we will offer you the price for the upgrade.